Rapid7 Vulnerability & Exploit Database

Amazon Linux AMI: CVE-2016-2518: Security patch for ntp (ALAS-2016-708)

Back to Search

Amazon Linux AMI: CVE-2016-2518: Security patch for ntp (ALAS-2016-708)

Severity
5
CVSS
(AV:N/AC:L/Au:N/C:N/I:N/A:P)
Published
05/11/2016
Created
07/25/2018
Added
07/01/2017
Modified
05/07/2019

Description

The MATCH_ASSOC function in NTP before version 4.2.8p9 and 4.3.x before 4.3.92 allows remote attackers to cause an out-of-bounds reference via an addpeer request with a large hmode value.

Solution(s)

  • amazon-linux-upgrade-ntp

References

  • amazon-linux-upgrade-ntp

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;